import { NavigationItem } from "./NavigationItem.js";
import { PopUp } from "../PopUp/PopUp.js";
export interface IToolbarOverflowOptions extends Jade.UI.IControlOptions {
}
export declare class NavigationOverflow extends Jade.UI.Control {
    private m_menu;
    constructor(options: IToolbarOverflowOptions);
    get anchor(): JQuery;
    get imageNode(): JQuery;
    protected get menu(): PopUp;
    protected set menu(value: PopUp);
    protected get menuNode(): JQuery;
    template(): string;
    onActivate(e: any): void;
    update(items: Array<NavigationItem>): void;
    show(): void;
    hide(): void;
    protected onDestroy(e: any): void;
    private createMenu;
    private onClick;
    private getIcon;
}
